Subject: Re: [OPSAWG] TACACS++, please...

From: Warren Kumari <[email-masked]>
Date: Thu, 10 Jun 2021 18:37:05 -0400

On Thu, Apr 22, 2021 at 11:27 AM Warren Kumari <[email-masked]> wrote:

> On Thu, Apr 22, 2021 at 11:18 AM Douglas Gash (dcmgash) <[email-masked]>
> wrote:
>
>> Hi Warren,
>>
>>
>>
>> Yes, Thorsten, Andrej and I are actively engaged, and have been joined by
>> a new team member (John Heasley).
>>
>>
>>
>> There may be one or two minor other additions to enhance security that
>> are also coming along for submission to the views of the WG.
>>
>
> Just FYI, there are 459 people on the OpsAWG list; this means we have
> almost 500 witnesses to what I'm going to interpret as "We'll have this
> done in a few days/weeks" :-)
>
> Seriously though, thank you. The TACACS YANG document was discussed
> recently, and a bunch of ADs said "Oi! We largely approved the original
> document on the understanding that you'd fix this. Pay up now..."
>
>
A gentle poke -- we eagerly await something to look at....

W

> W
>
>
>
>
>>
>>
>> *From: *Warren Kumari <[email-masked]>
>> *Date: *Thursday, 22 April 2021 at 16:09
>> *To: *opsawg <[email-masked]>, Thorsten Dahm <[email-masked]>,
>> Andrej Ota <[email-masked]>, "Douglas Gash (dcmgash)" <[email-masked]>,
>> "[email-masked]" <[email-masked]>, "[email-masked]" <
>> [email-masked]>
>> *Subject: *TACACS++, please...
>>
>>
>>
>> Hi there all,
>>
>>
>>
>> Last year we published "RFC8907 - The Terminal Access Controller
>> Access-Control System Plus (TACACS+) Protocol"
>>
>>
>>
>> This was a huge amount of work, and we are hugely grateful to the authors
>> (and WG) for all of their hard work.... however, in the spirit of "no good
>> deed goes unpunished"...
>>
>>
>>
>> When we wrote this, it was with the understanding that we'd first puslish
>> how TACACS+ currently works, and then a second document which, AFAIR, would
>> basically say "... and now just run this over TLS, K,  thanks, done".
>>
>>
>>
>> I'm hoping that someone, probably the original RFC8907 authors, would be
>> willing to take this on?
>>
>> I believe that this second document should be much much much easier....
>>
>>
>>
>> So, RFC8907 authors, would you be willing to take this on? Please?
>>
>>
>>
>> W
>>
>>
>>
>>
>>
>> --
>>
>> Perhaps they really do strive for incomprehensibility in their specs.
>> After all, when the liturgy was in Latin, the laity knew their place.
>> -- Michael Padlipsky
>>
>
>
> --
> The computing scientist’s main challenge is not to get confused by the
> complexities of his own making.
>   -- E. W. Dijkstra
>

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra

---

From: Randy Bush <[email-masked]>
Date: Thu, 10 Jun 2021 21:49:31 -0700

>> done in a few days/weeks" :-)

i hereby witness your extremely overly optimistic intentional
misinterpretation :)

randy

---
[email-masked]
`gpg --locate-external-keys --auto-key-locate wkd [email-masked]`
signatures are back, thanks to dmarc header butchery

---

From: John Heasley <[email-masked]>
Date: Fri, 11 Jun 2021 23:06:56 +0000

> A gentle poke -- we eagerly await something to look at....

Its coming, slowly.  Sorry, IETF is not a career for us.

If anyone would like to educate me about some finer details of TLS 1.3,
please contact me off-list.